/* AMX Mod script.
*
* (c) Copyright 2002, tcquest78
* This file is provided as is (no warranties).
*
*/

/*
* Admin Help - provides help for admin commands
*
*/

#include <amxmod>

#define HELP_LIST_AMOUNT 10

public admin_help(id){
	new arg1[8]
	new flags = get_user_flags(id)
	new start = read_argv(1,arg1,7) ? strtonum(arg1) : 1
	if (--start < 0) start = 0
	new clcmdsnum = get_clcmdsnum(flags)
	if (start >= clcmdsnum) start = clcmdsnum - 1
	if (flags)
		client_print(id,print_console,"^n[AMX] Your access level is: %d. You have %simmunity.^n",flags, (flags&ADMIN_IMMUNITY)?"":"no " ) 
	else
		client_print(id,print_console,"^n[AMX] You are not logged as admin or user with privileges.^n")
	client_print(id,print_console,"---- [AMX] Help: Commands ----")
	new info[128], cmd[32], eflags
	new end = start + HELP_LIST_AMOUNT
	if (end > clcmdsnum) end = clcmdsnum
	for (new i = start; i < end; i++){
		get_clcmd(i,cmd,31,eflags,info,127,flags)
		client_print(id,print_console,"%i: %s",i + 1,info)
	}
	if (end < clcmdsnum) {
		 client_print(id,print_console,"---- Entries %i - %i Of %i ----",start+1,end,clcmdsnum)
		 client_print(id,print_console,"---- Use 'amx_help %i' for more ----",end+1)
	} else { 
		 client_print(id,print_console,"---- Entries %i - %i Of %i ----",start+1,clcmdsnum,clcmdsnum)
		 client_print(id,print_console,"---- Use 'amx_help 1' for begin ----")
	}
	return PLUGIN_HANDLED 
}

public display_info(param[]){
	new id = param[0]
	client_print(id,print_chat,"[AMX] Type 'amx_help' in the console to see available commands.")
	new nextmap[32]
	get_cvar_string("amx_nextmap",nextmap,31)
	if (get_cvar_float("mp_timelimit")){
		new timeleft = get_timeleft()
		if (timeleft > 0)
			client_print(id,print_chat,"[AMX] Time remaining %d:%02d min. The next map will be %s.",
				timeleft / 60, timeleft % 60,nextmap)
	}
	else
		client_print(id,print_chat,"[AMX] There is no time limit. The next map will be %s.",nextmap)
}

public client_putinserver(id){
	if (!is_user_bot(id)){
		new param[3]
		param[0] = id
		set_task(15.0,"display_info",0,param,2)
	}
	return PLUGIN_CONTINUE
}

public plugin_init() {
	register_plugin("Admin Help","0.8","tcquest78") 
	register_clcmd("amx_help","admin_help",0,"amx_help") 
	return PLUGIN_CONTINUE
}